cpw.mods.fml.common.gameevent

## Class TickEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - cpw.mods.fml.common.gameevent.TickEvent

- Direct Known Subclasses:
    TickEvent.ClientTickEvent, TickEvent.PlayerTickEvent, TickEvent.RenderTickEvent, TickEvent.ServerTickEvent, TickEvent.WorldTickEvent

      public class TickEvent
      extends Event

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TickEvent.ClientTickEvent`
    `static class` | `TickEvent.Phase`
    `static class` | `TickEvent.PlayerTickEvent`
    `static class` | `TickEvent.RenderTickEvent`
    `static class` | `TickEvent.ServerTickEvent`
    `static class` | `TickEvent.Type`
    `static class` | `TickEvent.WorldTickEvent`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `TickEvent.Phase` | `phase`
    `Side` | `side`
    `TickEvent.Type` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TickEvent(TickEvent.Type type, Side side, TickEvent.Phase phase)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public final TickEvent.Type type

    - #### side

          public final Side side

    - #### phase

          public final TickEvent.Phase phase

  - ### Constructor Detail

    - #### TickEvent

          public TickEvent(TickEvent.Type type,
                   Side side,
                   TickEvent.Phase phase)